Subject: Re: [PATCH 5/5] PCI fixes for the MPC8641 Rev 2.0 silicon and Rev 1.02hardware

From: Timur Tabi <[email-masked]>
Date: Fri, 18 May 2007 13:30:01 -0500

Jon Loeliger wrote:

>> I think my model (which is also Jon's, I think) is easier to read and implement.
> 
> Harumph.

Hey, I got the idea from you!

> First of all, I wanted to get away from the notion of calling
> anything a "jumper".  What I said to you was to predicate the
> clause based on some arbitrary conditional, not just some "jumper
> setting."

True, but the arbitrary condition would, in practice, be the value of some 
jum^H^H^Hhardware setting.

> Second, I never came anywhere near the syntax above.

That's just a rough version because I don't have the DTS layout memorized.

> Third, I am pretty sure we've always really been talking
> about a DTC enhancement to selectively add regions to the
> DTB in much the same way as if one had said:

The problem is that the conditions that I'm talking about are not known until U-Boot runs. 
  If your idea was only compile-time conditional, then I'm just extending it to a runtime 
conditional.

> So embedding a full runtime evaluation of conditionals
> expressions wasn't really in my suggestion at this time
> at all.  I had essentially proposed (to you, Timur) that
> we have a predicate clause in the DTS that guarded a the
> presence/absence of a node.

predicate clause == conditional.

> And finally, I wasn't sure I was happy with it all yet
> in any event, so I hadn't acted on it yet.  I was still
> pondering "the right approach here".

I was trying to avoid a premature discussion on this idea, but apparently everyone else 
wants to talk about it!

-- 
Timur Tabi
Linux Kernel Developer @ Freescale